Kismet Wireless

Kismet Forums

 

Posted by:dragorn
Subject:libnl2 is not satisfiable
Date:04:04:23 21/09/2011

> > Look at config.h to see why it's not finding libnl2.
>
> I looked at config.h, and it didn't make a lot of sense to me. In either case, I figured out that installing pkg-config solved the issue. I don't know why it works, but it does.
>
> In either case, thank you!

pkg-config is needed to detect a wide range of libraries which have weird multi-lib or custom include dependencies (like libnl).

I'll have to add an explicit check to configure to look for it first and barf if it can't find it, that should make these failures much easier to identify.


Reply to this message